from fermiinstallclass import FermiInstallClass 

class InstallClass(FermiInstallClass):
    name = ("BooNE Upgrade")
    pixmap = "boone.up.png"
    sortPriority = 10

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
	self.setGroups(["BooNE"])
        self.installType = "upgrade"
	self.addToSkipList("bootdisk")
	self.addToSkipList("language")
	self.addToSkipList("languagesupport")
	self.addToSkipList("languagedefault")
	self.addToSkipList("keyboard")
        self.addToSkipList("welcome")
        self.addToSkipList("package-selection")
        self.addToSkipList("lilo")
        self.addToSkipList("network")

        self.showgroups = [
			  (1, "Fermi Full Kerberized"),
			  (1, "KDE"),
                              "GNOME",
			      "Laptop Support",
                          ]
